> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bronto.io/llms.txt
> Use this file to discover all available pages before exploring further.

# bronto forward-configs

> Manage forward configs

Manage forward configs

<Tip>
  * **Platform docs:** [docs.bronto.io/core-features/log-forwarding](https://docs.bronto.io/core-features/log-forwarding)
  * **API reference:** [docs.bronto.io/api-reference/forward/retrieve-forward-configs](https://docs.bronto.io/api-reference/forward/retrieve-forward-configs)
</Tip>

```sh theme={"dark"}
bronto forward-configs <command> [flags]
```

#### Subcommands

| Command | Description |
| - | - |
| [`bronto forward-configs create`](/cli/reference/commands/forward-configs#bronto-forward-configs-create) | Create a forward config |
| [`bronto forward-configs delete`](/cli/reference/commands/forward-configs#bronto-forward-configs-delete) | Delete a forward config |
| [`bronto forward-configs list`](/cli/reference/commands/forward-configs#bronto-forward-configs-list) | List forward configs |
| [`bronto forward-configs update`](/cli/reference/commands/forward-configs#bronto-forward-configs-update) | Update a forward config |

Also accepts the [global flags](/cli/reference/commands/global-flags).

## bronto forward-configs create

Create a forward config

```sh theme={"dark"}
bronto forward-configs create [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto forward-configs create -f name=<name> -f all_logs=true -f compression=GZIP \
    -f 'destination={"destination_type":"S3","bucket":"<bucket>"}'
bronto forward-configs create --input body.json
```

## bronto forward-configs delete

Delete a forward config

```sh theme={"dark"}
bronto forward-configs delete <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--yes` | | bool | | skip the confirmation prompt |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto forward-configs delete <id> --yes
```

## bronto forward-configs list

List forward configs

```sh theme={"dark"}
bronto forward-configs list [flags]
```

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto forward-configs list
```

## bronto forward-configs update

Update a forward config

```sh theme={"dark"}
bronto forward-configs update <id> [flags]
```

#### Flags

| Flag | Short | Type | Default | Description |
| - | - | - | - | - |
| `--field` | `-f` | stringArray | | request body field as key=value; values parse as JSON when possible (repeatable) |
| `--input` | | string | | read the request body from a file, or - for stdin |

Also accepts the [global flags](/cli/reference/commands/global-flags).

#### Examples

```sh theme={"dark"}
bronto forward-configs update <id> -f name=<name> -f all_logs=true -f compression=GZIP \
    -f 'destination={"destination_type":"S3","bucket":"<bucket>"}'
bronto forward-configs update <id> --input body.json
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.